Bug 277071 - Task tree collapses when new tasks are created
Summary: Task tree collapses when new tasks are created
Status: RESOLVED FIXED
Alias: None
Product: kplato
Classification: Miscellaneous
Component: usability (show other bugs)
Version: 2.3
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dag Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-04 15:21 UTC by DGardner
Modified: 2011-07-09 11:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DGardner 2011-07-04 15:21:27 UTC
Version:           2.3 (using KDE 4.6.3) 
OS:                Linux

I'm using KPlato 0.10.3 for KOffice 2.3.3 on Fedora 15 (64-bit).

I have a project with three phases (summary tasks). Each phase has several related tasks, so there is another level of summary tasks to contain those tasks. I jump between summary tasks as I think of new tasks to add. However, if I add a new sub-task to a summary task, all of the other summary tasks in the tree are immediately collapsed and only the current summary task (to which I have added the new sub-task) remains open. This means that I have to go through the tedious process of expanding all of the other summary tasks after every time I add a new task to the task tree. There is no "expand all" option and no "leave my task tree alone" option, so KPlato is very slow and annoying to use. This is a pity, as it is has all of the features I needs and is easy enough to figure out (given that I cannot find the handbook anywhere).

Is it just my configuration, or does KPlato deliberately collapse the task tree when new nodes are added? It really doesn't make any sense the way it is. An "expand all" option on the nodes to expand all tasks below the selected node would be nice (as would a corresponding "collapse all" option).

Reproducible: Always

Steps to Reproduce:
Create two summary tasks with a task in each.

Expand both tasks in the task tree.

Add a new sub-task to one of the summary tasks.

Actual Results:  
The other summary task will be collapsed.

Expected Results:  
The state of the tree outside of the containing node should not be affected when a new task is added. The tree should only be expanded and collapsed when I explicitly click on the expand/collapse buttons.
Comment 1 Dag Andersen 2011-07-09 11:27:28 UTC
Git commit 01da207167253cfede2e1b37419237720aa823ed by Dag Andersen.
Committed on 09/07/2011 at 13:25.
Pushed by danders into branch 'master'.

Fix: Task tree collapses when new tasks are created

BUG:277071

M  +0    -2    kplato/libs/models/kptnodeitemmodel.cpp     
M  +2    -12   kplato/libs/ui/kpttaskeditor.cpp     

http://commits.kde.org/calligra/01da207167253cfede2e1b37419237720aa823ed